<?php

namespace FiloBlu\Storelocator\Block\PickUpInStore;

use FiloBlu\Storelocator\Helper\Data;
use Magento\Framework\View\Element\Template;

class RmaAjax extends \Magento\Framework\View\Element\Template
{
    /**
     * @var Data
     */
    protected $helper;

    public function __construct(
        Template\Context $context ,
        Data $helper,
        array $data = []
    )
    {
        parent::__construct($context , $data);
        $this->helper = $helper;
    }

    public function isReturnInStoreEnabled() {
        return $this->helper->getReturnToStoreEnabled();
    }
}