<?php

namespace FiloBlu\Storelocator\Model\Plugin\Rma;


use Magento\Framework\Controller\ResultFactory;

class RmaSubmit
{
    /**
     * @var ResultFactory
     */
    protected $resultFactory;

    public function __construct(
        ResultFactory $resultFactory
    )
    {
        $this->resultFactory = $resultFactory;
    }

    public function afterExecute(\Magento\Rma\Controller\Returns\Submit $subject, $result) {

        $isAjax = $subject->getRequest()->getParam('ajax');

        if ($isAjax) {
            $resultJson = $this->resultFactory->create(ResultFactory::TYPE_JSON);
            $resultJson->setData(['message' => __('Rma created sccessfully!'), "success" => true]);

            return $resultJson;
        }

        return $result;
    }
}